uniform sampler2D tex0;
uniform mediump vec4 filter_settings; //x is intensity

precision mediump float;
varying mediump vec2 varTexcoord0;
varying mediump vec4 varColor;

/*
void main (void)
{
	vec3 col=texture2D(tex0, varTexcoord0.st, 0.0).rgb;
	float averageValue=(col.r+col.g+col.b)/3.0;
	float intensity=filter_settings.x;
	vec3 finalCol=col*(1.0-intensity)+vec3(averageValue, averageValue, averageValue)*intensity;
    gl_FragColor = vec4(finalCol, 1.0)*varColor;
}
*/

void main (void)
{
	vec3 col=texture2D(tex0, varTexcoord0.st, 0.0).rgb;
	float averageValue=(col.r+col.g+col.b)/3.0;
	float intensity=filter_settings.x;
	vec3 finalCol=col*(1.0-intensity)+vec3(averageValue, averageValue, averageValue)*intensity;
    gl_FragColor = vec4(col, 1.0)*varColor;
}
