uniform sampler2D tex0;
uniform sampler2D tex1;

precision mediump float;

varying mediump vec2 varTexcoord0;
varying mediump vec2 varTexcoord1;
varying mediump vec4 varColor;

void main (void)
{
	vec3 rgbComponent=texture2D(tex1, varTexcoord1.st, 0.0).rgb;
	float alphaComponent=texture2D(tex0, varTexcoord0.st, 0.0).a*texture2D(tex1, varTexcoord1.st, 0.0).a;
    gl_FragColor = vec4(rgbComponent, alphaComponent)*varColor;
}
