uniform sampler2D tex0;
uniform sampler2D tex1;

precision mediump float;

varying mediump vec2 varTexcoord0;
varying mediump vec2 varTexcoord1;
varying mediump vec4 varColor;

void main (void)
{
	vec4 rgbaComponent1=texture2D(tex1, varTexcoord1.st, 0.0).rgba;
	float alpha0=1.0-texture2D(tex0, varTexcoord0.st, 0.0).r; //alpha is 1-r
	rgbaComponent1.a*=alpha0;
    gl_FragColor = rgbaComponent1*varColor;
}
