uniform mediump vec4 vignette_settings; //xy is center pos, zw is 1.0/screen width & height of effect

precision mediump float;
varying mediump vec4 varColor;

//burn vignette
void main (void)
{
	vec2 vectorToCenter=vec2(vignette_settings.xy-gl_FragCoord.xy);
	vec2 vectorScaled=vectorToCenter*vignette_settings.zw;
	float vectorLengthSq=vectorScaled.x*vectorScaled.x+vectorScaled.y*vectorScaled.y;
	float intensity=min(vectorLengthSq, 1.0);
	gl_FragColor=vec4(0.0, 0.0, 0.0, intensity)*varColor;
}

