uniform sampler2D tex0;
uniform mediump float mipmap_bias;

precision mediump float;

varying mediump vec2 varTexcoord0;
varying mediump vec4 varColor;

void main (void)
{
	vec4 color=texture2D(tex0, varTexcoord0.st, mipmap_bias);
	gl_FragColor = vec4(color.rgb, 1.0-color.a)*varColor;
}
